com.mapinfo.midev.language.filter

## Class FilterLanguage

- java.lang.Object
- - com.mapinfo.midev.language.filter.FilterLanguage

All Implemented Interfaces:
  ILanguage

    public final class FilterLanguage
    extends Object
    implements ILanguage

The Filter language is an OGC-like, filter-based language for specifying query and edit operations to perform. This language is intended to be more simplistic than a full featured SQL type of language in terms of the queries that can be expressed. As such, this language is expected to be more broadly implemented by data providers as a sort of lowest common denominator language that all data sources understand.

The language consists primarily of a filter model that can be used to filter out (or select) only the features that are desired. The filter language defines several search and command constructs for performing query and editing operations. Data Providers may implement as much or as little of this language as desired. The language capabilities provides a means for data providers to indicate the portions of the language that are supported.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ILanguage` `getInstance()` Returns the singleton instance of the Filter Language.
`String` `getName()` Returns the name of the language as a String.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

Description copied from interface: `ILanguage`
Returns the name of the language as a String. A language has a name that is intended to be used for logging and diagnostic purposes. As such, it does not need to be unique. However, it should be a meaningful short name for the language.

Specified by:
  `getName` in interface `ILanguage`
Returns:
  the name of the language as a String

#### getInstance

    public static ILanguage getInstance()

Returns the singleton instance of the Filter Language.

Returns:
  the singleton instance of the Filter Language.